curl --location --request GET 'https://api.xente.co/products/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"message": "OK",
"code": 0,
"data": {
"currentPage": 1,
"pageSize": 2,
"totalCount": 55,
"totalPages": 28,
"collection": [
{
"productId": "NWSCWATERUG",
"name": "Water",
"imageUri": "https://play-lh.googleusercontent.com/ig6vu1dcBWoPhIKBoBUBcZgKDX6CY1Sg9kiZ_iydQGYc2P0yK0KUBza4Mueha4EDfZdq",
"categoryId": "UTILITIES",
"shortDescription": "Pay for your water bills",
"longDescription": "Pay for your water bills",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": true,
"sortOrder": 0,
"productRegex": "123"
},
{
"productId": "KCCATAXUG",
"name": "KCCA",
"imageUri": "https://www.example.com",
"categoryId": "TAX",
"shortDescription": "KCCA product",
"longDescription": "this is kcca product",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": false,
"sortOrder": 0,
"productRegex": null
}
],
"previousPage": false,
"nextPage": true
}
}
Products
Get a list of products
This endpoint get a list of products
GET
/
api
/
products
curl --location --request GET 'https://api.xente.co/products/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"message": "OK",
"code": 0,
"data": {
"currentPage": 1,
"pageSize": 2,
"totalCount": 55,
"totalPages": 28,
"collection": [
{
"productId": "NWSCWATERUG",
"name": "Water",
"imageUri": "https://play-lh.googleusercontent.com/ig6vu1dcBWoPhIKBoBUBcZgKDX6CY1Sg9kiZ_iydQGYc2P0yK0KUBza4Mueha4EDfZdq",
"categoryId": "UTILITIES",
"shortDescription": "Pay for your water bills",
"longDescription": "Pay for your water bills",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": true,
"sortOrder": 0,
"productRegex": "123"
},
{
"productId": "KCCATAXUG",
"name": "KCCA",
"imageUri": "https://www.example.com",
"categoryId": "TAX",
"shortDescription": "KCCA product",
"longDescription": "this is kcca product",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": false,
"sortOrder": 0,
"productRegex": null
}
],
"previousPage": false,
"nextPage": true
}
}
Response
number
Indicates whether the call was successful. 1 if successful, error code if not.
object
The contents of the product
Show Toggle object
Show Toggle object
number
The unique id of the product
string
The name of the product
string
The image Url of the product
string
Short description of the product
string
Long description of the product
string
Status of the product
array
Product items of the product. Each item is an object with the following properties:
item_id(number): The unique ID of the itemitem_name(string): The name of the itemitem_description(string): Description of the itemitem_price(number): Price of the itemavailability(boolean): Availability status of the item
curl --location --request GET 'https://api.xente.co/products/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
{
"message": "OK",
"code": 0,
"data": {
"currentPage": 1,
"pageSize": 2,
"totalCount": 55,
"totalPages": 28,
"collection": [
{
"productId": "NWSCWATERUG",
"name": "Water",
"imageUri": "https://play-lh.googleusercontent.com/ig6vu1dcBWoPhIKBoBUBcZgKDX6CY1Sg9kiZ_iydQGYc2P0yK0KUBza4Mueha4EDfZdq",
"categoryId": "UTILITIES",
"shortDescription": "Pay for your water bills",
"longDescription": "Pay for your water bills",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": true,
"sortOrder": 0,
"productRegex": "123"
},
{
"productId": "KCCATAXUG",
"name": "KCCA",
"imageUri": "https://www.example.com",
"categoryId": "TAX",
"shortDescription": "KCCA product",
"longDescription": "this is kcca product",
"countryCode": "256",
"currencyCode": "UGX",
"isActive": true,
"isExternal": false,
"sortOrder": 0,
"productRegex": null
}
],
"previousPage": false,
"nextPage": true
}
}
⌘I